Name: qnetwalk
Version: 1.2
Release: alt0.M24.1

Summary: QNetWalk is a game for system administrators
License: GPL
Group: Games/Puzzles
Packager: Alexey Borovskoy <alb@altlinux.ru>

URL: http://www.freshmeat.net/projects/qnetwalk
Source0: %name-%version.tar.gz
Source1: %name.menu

Patch1: %name-makefile.patch
Patch2: %name-path.patch

BuildPreReq: gcc-c++ libqt3-devel XFree86-devel libaudio-devel flex menu-devel

Requires: libaudio icon-theme-hicolor

%description
QNetWalk is a game for system administrators

%prep
%setup -qn %name-%version
%patch1
%patch2 -p1

%build
$QTDIR/bin/qmake -unix -o Makefile %name.pro
%make_build

%install
%__mkdir_p %buildroot%_menudir
%__mkdir_p %buildroot%_iconsdir/hicolor/16x16/apps
%__mkdir_p %buildroot%_gamesbindir
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_gamesdatadir/%name/{sounds,translations}
%__mkdir_p %buildroot%_man6dir

%__cp %name %buildroot%_gamesbindir
%__cp sounds/* %buildroot%_gamesdatadir/%name/sounds
%__cp translations/*.qm %buildroot%_gamesdatadir/%name/translations
%__cp {COPYING,ChangeLog,README} %buildroot%_docdir/%name-%version
%__cp pics/%name.png %buildroot%_iconsdir/hicolor/16x16/apps
%__cp %name.6 %buildroot/%_man6dir
%__cp %SOURCE1 %buildroot%_menudir

%post
%update_menus

%postun
%clean_menus

%files
%_menudir/*
%_iconsdir/*/*/*/*
%_gamesbindir/*
%_gamesdatadir/%name
%_docdir/%name-%version
%_man6dir/*

%changelog
* Fri Apr 29 2005 Alexey Borovskoy <alb@altlinux.ru> 1.2-alt0.M24.1
- 1.2 
- Fix path to game resources

* Tue Jan 04 2005 Alexey Borovskoy <alb@altlinux.ru> 1.1-alt0.M24.1
- 1.1
- Change locations of menu icons

* Mon Dec 27 2004 Alexey Borovskoy <alb@altlinux.ru> 1.0-alt0.M24.1
- First build for ALTLinux
